% pragma double
%
echo on
%
% Sample program for MATCOM scalar mode. Since both this
% script and the isp.m function are scalar algorithms, we
% use 'pragma double'. MATCOM than creates a C++ translation
% of the function, using the double datatype.
% The resulting program will run at 40x speed.
%
% (c) Copyright Yaron Keren 1995
%


for a=1000000:1005000
  if isp(a)
    a
  end
end
